Subject: Re: cutting down the TODO list thread

From: John Naylor <[email-masked]>
Date: Mon, 16 Jan 2023 17:17:23 +0700

I wrote:

> We could also revise the developer FAQ:
> - remove phrase "Outstanding features are detailed in Todo."
> - add suggestion to to check the Todo or Not_worth_doing pages to see if
the desired feature is undesirable or problematic
> - rephrase "Working in isolation is not advisable because others might be
working on the same TODO item, or you might have misunderstood the TODO
item." so it doesn't mention 'TODO' at all.

There is also

https://wiki.postgresql.org/wiki/So,_you_want_to_be_a_developer%3F#TODOs

Changing the description of what links to the todo list will probably do
more to reduce confusion than language in the todo list itself.

--
John Naylor
EDB: http://www.enterprisedb.com

---

From: Bruce Momjian <[email-masked]>
Date: Tue, 17 Jan 2023 15:13:16 -0500

On Mon, Jan 16, 2023 at 05:17:23PM +0700, John Naylor wrote:
> > - add suggestion to to check the Todo or Not_worth_doing pages to see if the
> desired feature is undesirable or problematic
> working on the same TODO item, or you might have misunderstood the TODO item."
> so it doesn't mention 'TODO' at all.
> 
> There is also
> 
> Changing the description of what links to the todo list will probably do more
> to reduce confusion than language in the todo list itself.

Agreed.

-- 
  Bruce Momjian  <[email-masked]>        https://momjian.us
  EDB                                      https://enterprisedb.com

Embrace your flaws.  They make you human, rather than perfect,
which you will never be.